<template>
  <div id="teacher_class_reportiong_wrapper" class="bt-container">
    <el-breadcrumb style="font-size: 24px; margin-top: 40px; margin-bottom: 40px;" separator="|">
      <el-breadcrumb-item :to="{ path: '/a/teacher/NNclass/'+classId }">{{ currentTeachingClass(classId) ? currentTeachingClass(classId).name : '' }}</el-breadcrumb-item>
      <el-breadcrumb-item>{{ $t('GRADE.FINAL_SCORE') }}</el-breadcrumb-item>
      <div style="text-align: right;">
        <a href="javascript:history.back();">
          <el-button size="small">{{ $t('BOARD.BACK') }}</el-button>
        </a>
      </div>   
    </el-breadcrumb>
    <!-- <div v-if="curState === 0">
      <el-tabs v-model="activeTab">
        <el-tab-pane label="문항" name="question">
          <div v-if="curStep === 0">
            <report-list></report-list>
          </div>
          <div v-else>
            <report-item-list></report-item-list>
            <el-button @click="onBack">뒤로가기</el-button>
          </div>
        </el-tab-pane>

        <el-tab-pane label="설문" name="survey">
        </el-tab-pane>
      </el-tabs>
    </div>
    <div v-else>
      <el-tabs v-model="activeTab">
        <el-tab-pane label="전체보기" name="question">
          <report-result></report-result>
        </el-tab-pane>
      </el-tabs>
    </div>
  </div> -->
  <div v-if="curStep === 0">
    <report-list></report-list>
  </div>
  <div v-else>
    <div v-if="curState === 0">
      <report-item-list @child="parentsMethod" v-bind:itemType="0"></report-item-list>
      <el-button @click="onBack">{{ $t('BOARD.BACK') }}</el-button> 
      <!-- <el-tabs v-model="activeTab">
        <el-tab-pane :label="$t('ITEM.QUESTION')" name="question">
          
        </el-tab-pane>

        <el-tab-pane :label="$t('ITEM.SURVEY')" name="survey">
          <report-item-list v-bind:itemType="1"></report-item-list>
          <el-button @click="onBack">{{ $t('BOARD.BACK') }}</el-button>
        </el-tab-pane>
      </el-tabs> -->
    </div>
    <div v-else>
      <report-result :itemIdList='itemIdList'></report-result>
    </div>
  </div>
  
  </div>
</template>

<style lang="scss" scoped>
  #teacher_class_grading_wrapper {
    .one-lecture-wrapper {
      margin-bottom: 40px;
    }
    .align-right {
      text-align: right;
    }
  }
</style>


<script>
import { mapActions, mapState, mapGetters, mapMutations } from 'vuex';
import ReportList from '../partials/ReportLecture';
import ReportItemList from '../partials/ReportLectureItem';
import ReportResult from '../partials/ReportResult';

export default {
  name: 'TeacherClassGrading',
  components: {
    ReportList,
    ReportItemList,
    ReportResult,
  },
  data() {
    return {
      activeTab: 'question',
      activeTab2: 'overall',
      itemIdList: [],
    };
  },
  computed: {
    ...mapState('reporting', ['lectureList', 'curLectureItems', 'curStep', 'curState', 'studentReportResult']),
    ...mapGetters('NNclass', [
      'currentTeachingClass',
    ]),
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },
  },
  async created() {
    const vm = this;
    await vm.getLectureList({ classId: vm.classId });
    vm.updateCurStep({ index: 0 });
    vm.updateCurState({ index: 0 });
        // alert(`curState - ${vm.curState}, curStep - ${vm.curStep}`);
  },
  methods: {
    ...mapActions('reporting', ['getLectureList', 'getLectureItemList']),
    ...mapMutations('reporting', ['updateCurStep', 'updateCurState']),
    onBack() {
      const vm = this;
      vm.updateCurStep({ index: 0 });
    },
    parentsMethod(payload) {
      const vm = this;
      vm.itemIdList = payload;
    },
  },
};
</script>
